using SumaTube.Domain.Entities.UserPlan;
using SumaTube.Infra.MongoDB.Documents;
using SumaTube.Crosscutting.Mappers;

namespace SumaTube.Infra.MongoDB.Mappers.UserPlan
{
    public static class PersonUserMapper
    {
        public static PersonUserDocument ToDocument(this PersonUser entity)
        {
            return entity.MapTo<PersonUser, PersonUserDocument>();
        }

        public static PersonUser ToDomain(this PersonUserDocument document)
        {
            return document.MapTo<PersonUserDocument, PersonUser>();
        }
    }
}
